Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.design
Class JRDesignElementDataset

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseElementDataset
          net.sf.jasperreports.engine.design.JRDesignElementDataset

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRChangeEventsSupport, JRCloneable, JRElementDataset

Direct Known Subclasses:
  JRDesignChartDataset, JRDesignCrosstabDataset, StandardSpiderDataset

    public abstract class JRDesignElementDataset

extends JRBaseElementDataset
implements JRChangeEventsSupport

Version:
  $Id: JRDesignElementDataset.java 3506 2010-03-04 14:48:54Z shertage $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `PROPERTY_DATASET_RUN`
`static java.lang.String` | `PROPERTY_INCREMENT_GROUP`
`static java.lang.String` | `PROPERTY_INCREMENT_TYPE`
`static java.lang.String` | `PROPERTY_INCREMENT_WHEN_EXPRESSION`
`static java.lang.String` | `PROPERTY_RESET_GROUP`
`static java.lang.String` | `PROPERTY_RESET_TYPE`

Fields inherited from class net.sf.jasperreports.engine.base.JRBaseElementDataset
`datasetRun, incrementGroup, incrementTypeValue, incrementWhenExpression, resetGroup, resetTypeValue`

Constructor Summary
`JRDesignElementDataset()`
`JRDesignElementDataset(JRElementDataset dataset)`
`JRDesignElementDataset(JRElementDataset dataset, JRBaseObjectFactory factory)`

Method Summary
`JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
`void` | `setDatasetRun(JRDatasetRun datasetRun)` Sets the sub dataset run for this dataset.
`void` | `setIncrementGroup(JRGroup group)`
`void` | `setIncrementType(byte incrementType)` Deprecated. Replaced by `setIncrementType(IncrementTypeEnum)`
`void` | `setIncrementType(IncrementTypeEnum incrementTypeValue)`
`void` | `setIncrementWhenExpression(JRExpression expression)` Sets the "increment when" expression.
`void` | `setResetGroup(JRGroup group)`
`void` | `setResetType(byte resetType)` Deprecated. Replaced by `setResetType(ResetTypeEnum)`
`void` | `setResetType(ResetTypeEnum resetTypeValue)`

Methods inherited from class net.sf.jasperreports.engine.base.JRBaseElementDataset
`clone, getDatasetRun, getIncrementGroup, getIncrementType, getIncrementTypeValue, getIncrementWhenExpression, getResetGroup, getResetType, getResetTypeValue`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRElementDataset
`collectExpressions`

Field Detail

### PROPERTY_DATASET_RUN

    public static final java.lang.String PROPERTY_DATASET_RUN

See Also:
  Constant Field Values

### PROPERTY_INCREMENT_GROUP

    public static final java.lang.String PROPERTY_INCREMENT_GROUP

See Also:
  Constant Field Values

### PROPERTY_INCREMENT_TYPE

    public static final java.lang.String PROPERTY_INCREMENT_TYPE

See Also:
  Constant Field Values

### PROPERTY_INCREMENT_WHEN_EXPRESSION

    public static final java.lang.String PROPERTY_INCREMENT_WHEN_EXPRESSION

See Also:
  Constant Field Values

### PROPERTY_RESET_GROUP

    public static final java.lang.String PROPERTY_RESET_GROUP

See Also:
  Constant Field Values

### PROPERTY_RESET_TYPE

    public static final java.lang.String PROPERTY_RESET_TYPE

See Also:
  Constant Field Values

Constructor Detail

### JRDesignElementDataset

    public JRDesignElementDataset()

### JRDesignElementDataset

    public JRDesignElementDataset(JRElementDataset dataset)

### JRDesignElementDataset

    public JRDesignElementDataset(JRElementDataset dataset,
                                  JRBaseObjectFactory factory)

Method Detail

### setResetType

    public void setResetType(byte resetType)

  Deprecated. Replaced by `setResetType(ResetTypeEnum)`

### setIncrementType

    public void setIncrementType(byte incrementType)

  Deprecated. Replaced by `setIncrementType(IncrementTypeEnum)`

### setResetType

    public void setResetType(ResetTypeEnum resetTypeValue)

### setIncrementType

    public void setIncrementType(IncrementTypeEnum incrementTypeValue)

### setResetGroup

    public void setResetGroup(JRGroup group)

### setIncrementGroup

    public void setIncrementGroup(JRGroup group)

### setDatasetRun

    public void setDatasetRun(JRDatasetRun datasetRun)

  Sets the sub dataset run for this dataset.

  Parameters:
    `datasetRun` - the dataset run
  See Also:
    `JRElementDataset.getDatasetRun()`

### setIncrementWhenExpression

    public void setIncrementWhenExpression(JRExpression expression)

  Sets the "increment when" expression.

  The expression value class should be compatible with `java.lang.Boolean`

  Parameters:
    `expression` - the expression
  See Also:
    `JRElementDataset.getIncrementWhenExpression()`

### getEventSupport

    public JRPropertyChangeSupport getEventSupport()

  Description copied from interface: `JRChangeEventsSupport`
  Returns the property change support object for this instance.

  Specified by:
    `getEventSupport` in interface `JRChangeEventsSupport`
  Returns:
    the property change support object for this instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com